Package tigase.server.xmppserver

# Class CIDConnections

java.lang.Object
tigase.server.xmppserver.CIDConnections

public class CIDConnections extends Object
Created: Jun 14, 2010 12:32:49 PM

Author:
  Artur Hefczyc

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `CIDConnections.CIDConnectionsOpenerService`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CIDConnections(CID cid, S2SConnectionHandlerIfc<S2SIOService> handler, S2SConnectionSelector selector, int maxInConns, int maxOutConns, int maxOutConnsPerIP, long max_waiting_time)`
  `CIDConnections(CID cid, S2SConnectionHandlerIfc<S2SIOService> handler, S2SConnectionSelector selector, int maxInConns, int maxOutConns, int maxOutConnsPerIP, long max_waiting_time, boolean oneWayAuthentication)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addDBKey(String sessId, String key)`
  `void`
  `addIncoming(S2SIOService serv)`
  `void`
  `connectionAuthenticated(S2SIOService serv, CID cid)`
  `void`
  `connectionStopped(S2SIOService serv)`
  `String`
  `getDBKey(String key_sessionId)`
  `int`
  `getDBKeysCount()`
  `int`
  `getIncomingCount()`
  `int`
  `getIncomingTLSCount()`
  `int`
  `getMaxOutConns()`
  `int`
  `getMaxOutConnsPerIP()`
  `int`
  `getOutgoingCount()`
  `int`
  `getOutgoingHandshakingCount()`
  `boolean`
  `getOutgoingInProgress()`
  `int`
  `getOutgoingTLSCount()`
  `S2SConnection`
  `getS2SConnectionForSessionId(String sessionId)`
  `int`
  `getWaitingControlCount()`
  `int`
  `getWaitingCount()`
  `protected boolean`
  `hasExceededMaxWaitingTime()`
  `void`
  `reconnectionFailed(Map<String,Object> port_props)`
  `void`
  `resetOutgoingInProgress()`
  `boolean`
  `sendControlPacket(String sessionId, Packet packet)`
  `void`
  `sendHandshakingOnly(Packet verify_req)`
  `void`
  `sendPacket(Packet packet)`
  `void`
  `streamNegotiationCompleted(S2SIOService serv)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CIDConnections

    public CIDConnections(CID cid, S2SConnectionHandlerIfc<S2SIOService> handler, S2SConnectionSelector selector, int maxInConns, int maxOutConns, int maxOutConnsPerIP, long max_waiting_time)

  - ### CIDConnections

    public CIDConnections(CID cid, S2SConnectionHandlerIfc<S2SIOService> handler, S2SConnectionSelector selector, int maxInConns, int maxOutConns, int maxOutConnsPerIP, long max_waiting_time, boolean oneWayAuthentication)

- ## Method Details

  - ### resetOutgoingInProgress

    public void resetOutgoingInProgress()

  - ### getOutgoingInProgress

    public boolean getOutgoingInProgress()

  - ### addDBKey

    public void addDBKey(String sessId, String key)

  - ### addIncoming

    public void addIncoming(S2SIOService serv)

  - ### connectionAuthenticated

    public void connectionAuthenticated(S2SIOService serv, CID cid)

  - ### connectionStopped

    public void connectionStopped(S2SIOService serv)

  - ### getDBKey

    public String getDBKey(String key_sessionId)

  - ### getDBKeysCount

    public int getDBKeysCount()

  - ### getIncomingCount

    public int getIncomingCount()

  - ### getIncomingTLSCount

    public int getIncomingTLSCount()

  - ### getMaxOutConns

    public int getMaxOutConns()

  - ### getMaxOutConnsPerIP

    public int getMaxOutConnsPerIP()

  - ### getOutgoingCount

    public int getOutgoingCount()

  - ### getOutgoingHandshakingCount

    public int getOutgoingHandshakingCount()

  - ### getOutgoingTLSCount

    public int getOutgoingTLSCount()

  - ### getS2SConnectionForSessionId

    public S2SConnection getS2SConnectionForSessionId(String sessionId)

  - ### getWaitingControlCount

    public int getWaitingControlCount()

  - ### getWaitingCount

    public int getWaitingCount()

  - ### reconnectionFailed

    public void reconnectionFailed(Map<String,Object> port_props)

  - ### sendControlPacket

    public boolean sendControlPacket(String sessionId, Packet packet)

  - ### sendHandshakingOnly

    public void sendHandshakingOnly(Packet verify_req)

  - ### sendPacket

    public void sendPacket(Packet packet)

  - ### streamNegotiationCompleted

    public void streamNegotiationCompleted(S2SIOService serv)

  - ### hasExceededMaxWaitingTime

    protected boolean hasExceededMaxWaitingTime()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`